import Vue from "vue";
import VueRouter from "vue-router";
import Home from "@/views/home/index.vue";
import Mall from "@/views/Mall.vue";
import Dynamic from "@/views/Dynamic.vue";
import Profile from "@/views/Profile.vue";
import ProfileDetail from "@/views/ProfileDetail.vue";
import Register from "@/views/register.vue";
import Charges from "@/views/charges.vue";
import Financial from "@/views/financial.vue";
import Signin from "@/views/Signin.vue";
import Share from "@/views/Share.vue";
import Mention from "@/views/Mention.vue";
import UserCenter from "@/views/UserCenter.vue";
import RealAuthentication from "@/views/RealAuthentication.vue";
import BankCard from "@/views/BankCard.vue";
import Member from "@/views/Member.vue";
import TeamDetail from "@/views/TeamDetail.vue";
import AssetCenter from "@/views/AssetCenter.vue";
import OrderList from "@/views/OrderList.vue";
import LeverList from "@/views/LeverList.vue";
import CultureDetail from "@/views/cultureDetail.vue";
import InvitePeople from '@/views/InvitePeople.vue'
import Apply from '@/views/Apply.vue'
import RetirementSubsidy from '@/views/RetirementSubsidy.vue'
import Payment from '@/views/Payment.vue'
import OrderManagement from '@/views/OrderManagement.vue'
// 红旗医疗 后期直接替换邀请百姓
import Medical from '@/views/Medical.vue'
// 红旗中国 后期邀请百姓直接替换
import China from '@/views/China.vue'
Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    redirect: "/home"
  },
  {
    path: "/home",
    name: "Home",
    component: Home
  },
  {
    path: "/mall",
    name: "Mall",
    component: Mall
  },
  {
    path: "/dynamic",
    name: "Dynamic",
    component: Dynamic
  },
  {
    path: "/China",
    name: "China",
    component: China
  },
  {
    path: "/Medical",
    name: "Medical",
    component: Medical
  },
  {
    path: "/profile",
    name: "Profile",
    component: Profile
  },
  {
    path: "/profile/detail",
    name: "ProfileDetail",
    component: ProfileDetail
  },
  {
    path: "/register",
    name: "Register",
    component: Register,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/charges",
    name: "Charges",
    component: Charges,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/financial",
    name: "Financial",
    component: Financial,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/signin",
    name: "Signin",
    component: Signin,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/share",
    name: "Share",
    component: Share,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/mention",
    name: "Mention",
    component: Mention,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/login",
    name: "login",
    component: () =>
      import(/* webpackChunkName: "login" */ "../views/login.vue"),
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/forget",
    name: "forget",
    component: () =>
      import(/* webpackChunkName: "forget" */ "../views/forget.vue")
  },
  {
    path: "/user-center",
    name: "UserCenter",
    component: UserCenter,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/real-authentication",
    name: "RealAuthentication",
    component: RealAuthentication,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/bank-card",
    name: "BankCard",
    component: BankCard,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/member",
    name: "Member",
    component: Member,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/team-detail",
    name: "TeamDetail",
    component: TeamDetail,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/asset-center",
    name: "AssetCenter",
    component: AssetCenter,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/order-list",
    name: "OrderList",
    component: OrderList,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/order-management",
    name: "OrderManagement",
    component: OrderManagement,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/lever-list",
    name: "LeverList",
    component: LeverList,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/culture/detail",
    name: "CultureDetail",
    component: CultureDetail
  },
  {
    path:'/InvitePeople',
    name:'InvitePeople',
    component:InvitePeople
  },
    {
      path: "/Apply",
      name: "Apply",
      component: Apply,
      meta: {
        hideTabBar: true
    },
  },
  {
    path: "/retirement-subsidy",
    name: "RetirementSubsidy",
    component: RetirementSubsidy,
    meta: {
      hideTabBar: true
    }
  },
  {
    path: "/Payment",
    name: "Payment",
    component: Payment,
    meta: {
      hideTabBar: true
  },
}
];

const router = new VueRouter({
  routes
});

export default router;
